import { InternalError } from '@lokalise/node-core';
export class MessageInvalidFormatError extends InternalError {
    constructor(params) {
        super({
            message: params.message,
            errorCode: 'MESSAGE_INVALID_FORMAT',
            details: params.details,
        });
        this.name = 'MessageInvalidFormat';
    }
}
export class MessageValidationError extends InternalError {
    constructor(params) {
        super({
            message: params.message,
            errorCode: 'MESSAGE_VALIDATION_ERROR',
            details: params.details,
        });
        this.name = 'MessageValidationError';
    }
}
export function isMessageError(err) {
    return ((err && (err.name === 'MessageValidationError' || err.name === 'MessageInvalidFormat')) ?? false);
}
//# sourceMappingURL=Errors.js.map